#!/bin/sh

echo "Bastard disassembler test script #1"
echo "       Disassemble Full"
echo "Enter name of target:"
read name
echo "Assuming ELF i386. Disassembling..."
./bastard -c <<-EOF 
LoadTarget( "$name" );
SetOutputAssembler("intel");
SetTargetFormat( "ELF" );
SetTargetArch( "i386" );
SetTargetAsm( "intel" );
SetTargetLang( "C" );
DisassembleTarget( "full",  NULL);
d
q
EOF
